#property copyright "Daniel Jose"
#property link      ""
#property version   "1.00"
//+------------------------------------------------------------------+
input double user00 = 2.2;
//+------------------------------------------------------------------+
int m_handle;
long m_id;
//+------------------------------------------------------------------+
int OnInit()
{
    MqlParam params[];
     
    m_id = ChartID();       
    if ((m_handle = ChartIndicatorGet(m_id, 0, "SWAP MSG")) == INVALID_HANDLE)
    {
            ArrayResize(params, 2);
            params[0].type = TYPE_STRING;
            params[0].string_value = "Mode Swap\\SWAP MSG";
            params[1].type = TYPE_DOUBLE;
            params[1].double_value = user00;
            m_handle = IndicatorCreate(NULL, PERIOD_CURRENT, IND_CUSTOM, ArraySize(params), params);
            ChartIndicatorAdd(m_id, 0, m_handle);
    }
    Print("Indicator loading result:", m_handle != INVALID_HANDLE ? "Success" : "Failed");
    
    return INIT_SUCCEEDED;
}
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
    ChartIndicatorDelete(m_id, 0, "SWAP MSG");
    IndicatorRelease(m_handle);
}
//+------------------------------------------------------------------+
void OnTick()
{
}
//+------------------------------------------------------------------+